## ros-kinetic-robotis-framework 0.2.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotis_framework)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-robotis-framework (0.2.9-0xenial) xenial; urgency=high

  * added serivce for setting module
  * deleted comment for debug
  * modified to prevent duplicate indirect address write
  * added boost system dependencies
  * fixed a bug that occure when handling bulk read item that does not exist
  * Contributors: Kayman, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 21 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.8-0xenial) xenial; urgency=high

  * added RH-P12-RN.device file
  * modified CMakeLists.txt for system dependencies (yaml-cpp)
  * Contributors: Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.7-0xenial) xenial; urgency=high

  * changed all values read by bulk read are saved to dxl_state_->bulk_read_table_.
  * Modified to prevent duplicate indirect address write
  * fixed a bug that occur when handling bulk read item that does not exist
  * changed the License and package format to version 2
  * Contributors: SCH, Zerom, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.6-0xenial) xenial; urgency=high

  * multi thread bug fixed.
  * unnecessary debug print removed.
  * OpenCR control table item name changed. (torque_enable -> dynamixel_power)
  * fixed to not update update_time_stamp_ if bulk read fails.
  * Contributors: Zerom

 -- Pyo <pyo@robotis.com>  Tue, 08 Aug 2017 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.5-0xenial) xenial; urgency=high

  * updated for yaml-cpp dependencies (robotis_controller)
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.4-0xenial) xenial; urgency=high

  * added cmake_modules in package.xml
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Tue, 06 Jun 2017 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.3-0xenial) xenial; urgency=high

  * updated the cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.2-0xenial) xenial; urgency=high

  * added a deivce: OpenCR
  * updated robotis_controller.cpp
  * changed to read control cycle from .robot file
  * Contributors: Zerom, Kayman

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.1-0xenial) xenial; urgency=high

  * Merge the changes and update

 -- Pyo <pyo@robotis.com>  Tue, 22 Nov 2016 15:00:00 -0000

ros-kinetic-robotis-framework (0.2.0-0xenial) xenial; urgency=high

  * updated CHANGLOG.rst for minor release

 -- Pyo <pyo@robotis.com>  Tue, 30 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-framework (0.1.1-0xenial) xenial; urgency=high

  * updated the package information

 -- Pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000

ros-kinetic-robotis-framework (0.1.0-0xenial) xenial; urgency=high

  * make a meta-package

 -- pyo <pyo@robotis.com>  Thu, 11 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robotis-framework
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/robotis_framework
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-framework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-robotis-controller, ros-kinetic-robotis-device, ros-kinetic-robotis-framework-common
Description: ROS packages for the robotis_framework (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotis-framework//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
